Skip to main content
POST
/
action
/
aeo_seo_research_generate_research_action
[CM1] AEO & SEO Research
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/aeo_seo_research_generate_research_action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "topic": "<string>",
  "output_variable_name": "seo_research",
  "research_depth": "standard",
  "website_url": "<string>",
  "optimization_focus": "balanced"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
topic
string
required
output_variable_name
string
default:seo_research
required

Variable name for the result.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
research_depth
enum<string>
default:standard
Available options:
standard,
deep
website_url
string
optimization_focus
enum<string>
default:balanced
Available options:
seo_focused,
aeo_focused,
balanced

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action